DL_SignatureMessageEncodingMethod_DSA Class Reference
Inheritance diagram for DL_SignatureMessageEncodingMethod_DSA:

## Public Member Functions

void | ComputeMessageRepresentative (RandomNumberGenerator &rng, const byte *recoverableMessage, size_t recoverableMessageLength, HashTransformation &hash, HashIdentifier hashIdentifier, bool messageEmpty, byte *representative, size_t representativeBitLength) const
bool | VerifyMessageRepresentative (HashTransformation &hash, HashIdentifier hashIdentifier, bool messageEmpty, byte *representative, size_t representativeBitLength) const
virtual size_t | MinRepresentativeBitLength (size_t hashIdentifierLength, size_t digestLength) const
virtual size_t | MaxRecoverableLength (size_t representativeBitLength, size_t hashIdentifierLength, size_t digestLength) const
bool | IsProbabilistic () const
bool | AllowNonrecoverablePart () const
virtual bool | RecoverablePartFirst () const
virtual void | ProcessSemisignature (HashTransformation &hash, const byte *semisignature, size_t semisignatureLength) const
virtual void | ProcessRecoverableMessage (HashTransformation &hash, const byte *recoverableMessage, size_t recoverableMessageLength, const byte *presignature, size_t presignatureLength, SecByteBlock &semisignature) const
virtual DecodingResult | RecoverMessageFromRepresentative (HashTransformation &hash, HashIdentifier hashIdentifier, bool messageEmpty, byte *representative, size_t representativeBitLength, byte *recoveredMessage) const
virtual DecodingResult | RecoverMessageFromSemisignature (HashTransformation &hash, HashIdentifier hashIdentifier, const byte *presignature, size_t presignatureLength, const byte *semisignature, size_t semisignatureLength, byte *recoveredMessage) const

## Detailed Description

Definition at line 265 of file pubkey.h.

The documentation for this class was generated from the following file:

- pubkey.h